Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | File List | Namespace Members | Class Members | File Members | Related Pages

# GT2005Clusterliste Class Reference

`#include <GT2005Clusterliste.h>`

List of all members.

## Public Member Functions
| GT2005Clusterliste ()
void | addCluster (GT2005Cluster c, std::list< std::list< GT2005Cluster >::iterator >::iterator i, bool v)
void | deleteAll ()
void | removeCluster (std::list< GT2005Cluster >::iterator rc)
std::list< Vector2< double > > | getMidpoints ()
std::list< GT2005Cluster >::iterator | getCListBegin ()
std::list< GT2005Cluster >::iterator | getCListEnd ()
std::list< std::list< GT2005Cluster >::iterator >::iterator | getVNaviBegin ()
std::list< std::list< GT2005Cluster >::iterator >::iterator | getVNaviEnd ()
std::list< std::list< GT2005Cluster >::iterator >::iterator | getHNaviBegin ()
std::list< std::list< GT2005Cluster >::iterator >::iterator | getHNaviEnd ()
bool | getEmpty ()
## Private Attributes
std::list< GT2005Cluster > | clist
std::list< std::list< GT2005Cluster >::iterator > | vNavi
std::list< std::list< GT2005Cluster >::iterator > | hNavi
std::list< Vector2< double > > | midlist
std::list< GT2005Cluster >::iterator | cIter
std::list< std::list< GT2005Cluster >::iterator >::iterator | vhIter
std::list< Vector2< double > >::iterator | mIter
bool | posGefunden

## Constructor & Destructor Documentation

GT2005Clusterliste::GT2005Clusterliste | ( |  | ) |

| Definition at line 4 of file GT2005Clusterliste.cpp.

## Member Function Documentation

void GT2005Clusterliste::addCluster | ( | GT2005Cluster | c,
|  | std::list< std::list< GT2005Cluster >::iterator >::iterator | i,
|  | bool | v
| ) |

| Definition at line 14 of file GT2005Clusterliste.cpp. References clist, hNavi, posGefunden, and vNavi. Referenced by GT2005Clustering::addLine(), GT2005Clustering::Cluster1(), GT2005Clustering::clusterFinal(), GT2005Clustering::markH(), and GT2005Clustering::markV().

void GT2005Clusterliste::deleteAll | ( |  | ) |

| Definition at line 148 of file GT2005Clusterliste.cpp. References clist, hNavi, midlist, and vNavi. Referenced by GT2005Clustering::reset().

void GT2005Clusterliste::removeCluster | ( | std::list< GT2005Cluster >::iterator | rc | ) |

| Definition at line 160 of file GT2005Clusterliste.cpp. References clist, hNavi, and vNavi. Referenced by GT2005Clustering::clusterFinal().

list< Vector2< double > > GT2005Clusterliste::getMidpoints | ( |  | ) |

| Definition at line 179 of file GT2005Clusterliste.cpp. References clist, and midlist. Referenced by GT2005Clustering::getMidpoint(), and GT2005Clustering::getSize().

list< GT2005Cluster >::iterator GT2005Clusterliste::getCListBegin | ( |  | ) |

| Definition at line 190 of file GT2005Clusterliste.cpp. References clist.

list< GT2005Cluster >::iterator GT2005Clusterliste::getCListEnd | ( |  | ) |

| Definition at line 196 of file GT2005Clusterliste.cpp. References clist.

list< list< GT2005Cluster >::iterator >::iterator GT2005Clusterliste::getVNaviBegin | ( |  | ) |

| Definition at line 203 of file GT2005Clusterliste.cpp. References vNavi. Referenced by GT2005Clustering::addLine(), GT2005Clustering::clusterFinal(), GT2005Clustering::getClusterX(), GT2005Clustering::getMidpointX(), and GT2005Clustering::prepV().

list< list< GT2005Cluster >::iterator >::iterator GT2005Clusterliste::getVNaviEnd | ( |  | ) |

| Definition at line 208 of file GT2005Clusterliste.cpp. References vNavi. Referenced by GT2005Clustering::prepV().

list< list< GT2005Cluster >::iterator >::iterator GT2005Clusterliste::getHNaviBegin | ( |  | ) |

| Definition at line 214 of file GT2005Clusterliste.cpp. References hNavi. Referenced by GT2005Clustering::clusterFinal(), GT2005Clustering::getClusterY(), GT2005Clustering::getMidpointY(), and GT2005Clustering::prepH().

list< list< GT2005Cluster >::iterator >::iterator GT2005Clusterliste::getHNaviEnd | ( |  | ) |

| Definition at line 221 of file GT2005Clusterliste.cpp. References hNavi. Referenced by GT2005Clustering::prepH().

bool GT2005Clusterliste::getEmpty | ( |  | ) |

| Definition at line 227 of file GT2005Clusterliste.cpp. References clist. Referenced by GT2005Clustering::addLine().

## Member Data Documentation

std::list<GT2005Cluster> GT2005Clusterliste::clist`[private]`

| Definition at line 11 of file GT2005Clusterliste.h. Referenced by addCluster(), deleteAll(), getCListBegin(), getCListEnd(), getEmpty(), getMidpoints(), and removeCluster().

std::list<std::list<GT2005Cluster>::iterator> GT2005Clusterliste::vNavi`[private]`

| Definition at line 16 of file GT2005Clusterliste.h. Referenced by addCluster(), deleteAll(), getVNaviBegin(), getVNaviEnd(), and removeCluster().

std::list<std::list<GT2005Cluster>::iterator> GT2005Clusterliste::hNavi`[private]`

| Definition at line 17 of file GT2005Clusterliste.h. Referenced by addCluster(), deleteAll(), getHNaviBegin(), getHNaviEnd(), and removeCluster().

std::list<Vector2<double> > GT2005Clusterliste::midlist`[private]`

| Definition at line 20 of file GT2005Clusterliste.h. Referenced by deleteAll(), and getMidpoints().

std::list<GT2005Cluster>::iterator GT2005Clusterliste::cIter`[private]`

| Definition at line 23 of file GT2005Clusterliste.h.

std::list<std::list<GT2005Cluster>::iterator>::iterator GT2005Clusterliste::vhIter`[private]`

| Definition at line 27 of file GT2005Clusterliste.h.

std::list<Vector2<double> >::iterator GT2005Clusterliste::mIter`[private]`

| Definition at line 31 of file GT2005Clusterliste.h.

bool GT2005Clusterliste::posGefunden`[private]`

| Definition at line 34 of file GT2005Clusterliste.h. Referenced by addCluster().

The documentation for this class was generated from the following files:

- Modules/ImageProcessor/GT2005ImageProcessor/GT2005Clusterliste.h
- Modules/ImageProcessor/GT2005ImageProcessor/GT2005Clusterliste.cpp